SuperLU: SRC/mmd.c File Reference

SuperLU 7.0.0

Typedefs | Functions
mmd.c File Reference
Common

Minimum degree algorithm. More...

`#include "superlu_config.h"`
Include dependency graph for mmd.c:

## Typedefs
typedef int_t | shortint

## Functions
int | genmmd_ (int *neqns, int_t *xadj, shortint *adjncy, int *invp, int *perm, int_t *delta, shortint *dhead, shortint *qsize, shortint *llist, shortint *marker, int_t *maxint, int_t *nofsub)
int | slu_mmdint_ (int *neqns, int_t *xadj, shortint *adjncy, shortint *dhead, int *dforw, int *dbakw, shortint *qsize, shortint *llist, shortint *marker)
int | slu_mmdelm_ (int_t *mdnode, int_t *xadj, shortint *adjncy, shortint *dhead, int *dforw, int *dbakw, shortint *qsize, shortint *llist, shortint *marker, int_t *maxint, int_t *tag)
int | slu_mmdupd_ (int_t *ehead, int *neqns, int_t *xadj, shortint *adjncy, int_t *delta, int_t *mdeg, shortint *dhead, int *dforw, int *dbakw, shortint *qsize, shortint *llist, shortint *marker, int_t *maxint, int_t *tag)
int | slu_mmdnum_ (int *neqns, int *perm, int *invp, shortint *qsize)

## Typedef Documentation

## ◆ shortint

typedef int_t shortint

## Function Documentation

## ◆ genmmd_()

int genmmd_ | ( | int * | neqns,
|  | int_t * | xadj,
|  | shortint * | adjncy,
|  | int * | invp,
|  | int * | perm,
|  | int_t * | delta,
|  | shortint * | dhead,
|  | shortint * | qsize,
|  | shortint * | llist,
|  | shortint * | marker,
|  | int_t * | maxint,
|  | int_t * | nofsub
| ) |  |

Here is the call graph for this function:

## ◆ slu_mmdelm_()

int slu_mmdelm_ | ( | int_t * | mdnode,
|  | int_t * | xadj,
|  | shortint * | adjncy,
|  | shortint * | dhead,
|  | int * | dforw,
|  | int * | dbakw,
|  | shortint * | qsize,
|  | shortint * | llist,
|  | shortint * | marker,
|  | int_t * | maxint,
|  | int_t * | tag
| ) |  |

Here is the call graph for this function:

## ◆ slu_mmdint_()

int slu_mmdint_ | ( | int * | neqns,
|  | int_t * | xadj,
|  | shortint * | adjncy,
|  | shortint * | dhead,
|  | int * | dforw,
|  | int * | dbakw,
|  | shortint * | qsize,
|  | shortint * | llist,
|  | shortint * | marker
| ) |  |

## ◆ slu_mmdnum_()

int slu_mmdnum_ | ( | int * | neqns,
|  | int * | perm,
|  | int * | invp,
|  | shortint * | qsize
| ) |  |

## ◆ slu_mmdupd_()

int slu_mmdupd_ | ( | int_t * | ehead,
|  | int * | neqns,
|  | int_t * | xadj,
|  | shortint * | adjncy,
|  | int_t * | delta,
|  | int_t * | mdeg,
|  | shortint * | dhead,
|  | int * | dforw,
|  | int * | dbakw,
|  | shortint * | qsize,
|  | shortint * | llist,
|  | shortint * | marker,
|  | int_t * | maxint,
|  | int_t * | tag
| ) |  |

Here is the call graph for this function: